RedCrawler API
Users V1

Add Friend V1

Add a user to your friends list. Requires user bearer token.

PUT /api/v1/profiles/add-friend/{username}

Add a user to your friends list. Requires user bearer token.

Path parameters

NameTypeRequiredDescription
usernamestringYesReddit username to add as friend.

Query parameters

NameTypeRequiredDescription
bearerstringNoBearer token. Optional if stored in Token Vault.
proxystringNoProxy. Optional if stored in Token Vault.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X PUT "https://red-crawler1.p.rapidapi.com/api/v1/profiles/add-friend/Motor_Tip8865?bearer=<bearer>&proxy=<proxy>" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com"

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/profiles/add-friend/Motor_Tip8865?bearer=<bearer>&proxy=<proxy>", {
  method: "PUT",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    }
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/profiles/add-friend/Motor_Tip8865?bearer=<bearer>&proxy=<proxy>"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
resp = requests.put(url, headers=headers)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "date": 1777485379,
    "rel_id": "r9_96g4im",
    "name": "spez",
    "id": "t2_1w72"
  },
  "error": null,
  "timestamp": "2026-04-29T17:56:19.886057+00:00"
}

On this page